<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">


<?php include (TEMPLATEPATH.'/library/get-theme-options.php'); ?>


<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>


<head>


	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />


	<title>


	<?php if ( is_home() ) { ?><?php bloginfo('name'); ?>&nbsp;<?php } ?>


		<?php if ( is_search() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Search Results<?php } ?>


		<?php if ( is_author() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Author Archives<?php } ?>


		<?php if ( is_single() || is_page() ) { ?><?php $title = get_post_meta($post->ID, 'Title', true);  if ($title) { ?>  


			<?php echo get_post_meta($post->ID, "Title", true); ?>&nbsp;|&nbsp;<?php bloginfo('name'); ?>


			<?php } else { ?> 


			<?php wp_title(''); ?>&nbsp;|&nbsp;<?php bloginfo('name'); ?>


			<?php } ?> 		


			<?php } ?>


		<?php if ( is_category() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Archive&nbsp;|&nbsp;<?php single_cat_title(); ?><?php } ?>


		<?php if ( is_month() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Archive&nbsp;|&nbsp;<?php the_time('F'); ?><?php } ?>


		<?php if (function_exists('is_tag')) { if ( is_tag() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Tag Archive&nbsp;|&nbsp;<?php  single_tag_title("", true); } } ?>		


	</title>





		<?php if (is_single() || is_page() ) : if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>


<meta name="description" content="<?php $description = get_post_meta($post->ID, 'Description', true);  if ($description) { ?><?php echo get_post_meta($post->ID, "Description", true); ?>


<?php } else { ?><?php the_excerpt_rss(); ?><?php } ?>" />


<?php endwhile; endif; elseif(is_home()) : ?>


<meta name="description" content="<?php bloginfo('description'); ?>" />


<?php endif; ?>





<?php if(is_search()) { ?>


<meta name="robots" content="noindex, nofollow" /> 


<?php }?>





<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?>" href="<?php echo $blt_feedburner;?>" />


<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/images/favicon.ico" />


<?php if ( is_singular() ) wp_enqueue_script('comment-reply'); // support for comment threading ?>


<?php wp_head(); ?>








	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" /> 


</head>





<body>


<div id="header">


  <h2><a href=""><?php echo $blt_title;?></a></h2>


	<div id="navbar">


   	 <ul>


	   <li><a href="<?php bloginfo('home'); ?>/">Home</a></li> 			


		<?php wp_list_categories('orderby=ID&order=ASC&depth=1&title_li=&exclude=1'); ?>


   	 </ul>


	</div>


</div>





<div id="contentarea">





<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Intro') ) : ?>


<div class="contentbox first w920"><p class="big">This is a widgetised area, 'Intro'. A text widget here with a description of your site would look great!</p></div>


<?php endif; ?>