<?php



// Theme options adapted from Thematic's options page and an article on WPShout "what I wrote".

// Google WPShout theme options page to find it.



$themename = "Happy Go Try";

$shortname = "blt";



// Create theme options



$options = array (



				array(	"name" => __(''),

						"desc" => __("<h3>This is the options page for 'Happy Go Try', a free WordPress theme from WPShout.com. <br/> On this page you've got only a couple of options, but a theme such as this one doesn't really need more than a couple.</h3>"),

						"id" => $shortname."_layout",

						"std" => __("Below you can enter your Feedburner URL, Adsense code, change the footer text and add some Analytics code."),

						"type" => "nothing"),			

						

				array(	"name" => __('Feedburner URL'),

						"desc" => __("Copy and paste your Feedburner URL, ie --> http://feeds2.feedburner.com/nometech"),

						"id" => $shortname."_feedburner",

						"std" => __(""),

						"type" => "textarea",

						"options" => array(	"rows" => "5",

											"cols" => "94") ),	



				array(	"name" => __('Title'),

						"desc" => __("The title that gets displayed in the header of your blog"),

						"id" => $shortname."_title",

						"std" => __("Title"),

						"type" => "textarea",

						"options" => array(	"rows" => "5",

											"cols" => "94") ),					

					

				array(	"name" => __('Ad code'),

						"desc" => __("Copy and paste into the box below your advert code at 250x200 size. It'll get displayed at the top of the sidebar."),

						"id" => $shortname."_250_200_ad",

						"std" => __(""),

						"type" => "textarea",

						"options" => array(	"rows" => "5",

											"cols" => "94") ),	

						

				array(	"name" => __('Text in Footer'),

						"desc" => __("Fill out the box with the text you want to be displayed at the very bottom of the theme."),

						"id" => $shortname."_footer_text",

						"std" => __("&#169; 2009 Your Site Name &bull; Powered by WordPress"),

						"type" => "textarea",

						"options" => array(	"rows" => "5",

											"cols" => "94") ),

											

				array(	"name" => __('Analytics code'),

						"desc" => __("Paste your Google Analytics (or other tracking) code in the box below"),

						"id" => $shortname."_analytics",

						"std" => __(""),

						"type" => "textarea",

						"options" => array(	"rows" => "5",

											"cols" => "94") ),



		);



function mytheme_add_admin() {



    global $themename, $shortname, $options;



    if ( $_GET['page'] == basename(__FILE__) ) {

    

        if ( 'save' == $_REQUEST['action'] ) {



                foreach ($options as $value) {

                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }



                foreach ($options as $value) {

                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }



                header("Location: themes.php?page=theme-options.php&saved=true");

                die;



        } else if( 'reset' == $_REQUEST['action'] ) {



            foreach ($options as $value) {

                delete_option( $value['id'] ); }



            header("Location: themes.php?page=theme-options.php&reset=true");

            die;



        } else if ( 'reset_widgets' == $_REQUEST['action'] ) {

            $null = null;

            update_option('sidebars_widgets',$null);

            header("Location: themes.php?page=theme-options.php&reset=true");

            die;

        }

    }



    add_theme_page($themename." Options", "Happy Go Try Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');



}



function mytheme_admin() {



    global $themename, $shortname, $options;



    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' '.__('settings saved.','thematic').'</strong></p></div>';

    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' '.__('settings reset.','thematic').'</strong></p></div>';

    if ( $_REQUEST['reset_widgets'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' '.__('widgets reset.','thematic').'</strong></p></div>';

    

?>

<div class="wrap">

<?php if ( function_exists('screen_icon') ) screen_icon(); ?>

<h2><?php echo $themename; ?> Options</h2>



<form method="post" action="">



	<table class="form-table">



<?php foreach ($options as $value) { 

	

	switch ( $value['type'] ) {

		case 'text':

		?>

		<tr valign="top"> 

			<th scope="row"><label for="<?php echo $value['id']; ?>"><?php echo __($value['name'],'thematic'); ?></label></th>

			<td>

				<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" />

				<?php echo __($value['desc'],'thematic'); ?>



			</td>

		</tr>

		<?php

		break;

		

		case 'select':

		?>

		<tr valign="top">

			<th scope="row"><label for="<?php echo $value['id']; ?>"><?php echo __($value['name'],'thematic'); ?></label></th>

				<td>

					<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">

					<?php foreach ($value['options'] as $option) { ?>

					<option<?php if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>

					<?php } ?>

				</select>

			</td>

		</tr>

		<?php

		break;

		

		case 'textarea':

		$ta_options = $value['options'];

		?>

		<tr valign="top"> 

			<th scope="row"><label for="<?php echo $value['id']; ?>"><?php echo __($value['name'],'thematic'); ?></label></th>

			<td><textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" cols="<?php echo $ta_options['cols']; ?>" rows="<?php echo $ta_options['rows']; ?>"><?php 

				if( get_option($value['id']) != "") {

						echo __(stripslashes(get_option($value['id'])),'thematic');

					}else{

						echo __($value['std'],'thematic');

				}?></textarea><br /><?php echo __($value['desc'],'thematic'); ?></td>

		</tr>

		<?php

		break;

		

		case 'nothing':

		$ta_options = $value['options'];

		?>

		</table>

			<?php echo __($value['desc'],'thematic'); ?>

		<table class="form-table">

		<?php

		break;



		case 'radio':

		?>

		<tr valign="top"> 

			<th scope="row"><?php echo __($value['name'],'thematic'); ?></th>

			<td>

				<?php foreach ($value['options'] as $key=>$option) { 

				$radio_setting = get_option($value['id']);

				if($radio_setting != ''){

					if ($key == get_option($value['id']) ) {

						$checked = "checked=\"checked\"";

						} else {

							$checked = "";

						}

				}else{

					if($key == $value['std']){

						$checked = "checked=\"checked\"";

					}else{

						$checked = "";

					}

				}?>

				<input type="radio" name="<?php echo $value['id']; ?>" id="<?php echo $value['id'] . $key; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><label for="<?php echo $value['id'] . $key; ?>"><?php echo $option; ?></label><br />

				<?php } ?>

			</td>

		</tr>

		<?php

		break;

		

		case 'checkbox':

		?>

		<tr valign="top"> 

			<th scope="row"><?php echo __($value['name'],'thematic'); ?></th>

			<td>

				<?php

					if(get_option($value['id'])){

						$checked = "checked=\"checked\"";

					}else{

						$checked = "";

					}

				?>

				<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />

				<label for="<?php echo $value['id']; ?>"><?php echo __($value['desc'],'thematic'); ?></label>

			</td>

		</tr>

		<?php

		break;



		default:



		break;

	}

}

?>



	</table>



	<p class="submit">

		<input name="save" type="submit" value="<?php _e('Save changes','thematic'); ?>" />    

		<input type="hidden" name="action" value="save" />

	</p>

</form>

<form method="post" action="">

	<p class="submit">

		<input name="reset" type="submit" value="<?php _e('Reset','thematic'); ?>" />

		<input type="hidden" name="action" value="reset" />

	</p>

</form>



<p><a href="http://wpshout.com/free-wordpress-magazineframeworkbloggytech-blog-theme-biblioteca/">Theme options powered by the Biblioteca theme.</a></p>

</div>

<?php

}



add_action('admin_menu' , 'mytheme_add_admin'); 





?>

